<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Slots</title>
    <style>
        .alert {
            position: absolute;
            padding: 30px;
        }
        .success {
            background: green;
            color: #FFFFFF;
        }
        .right {
            right: 0;
        }
        .bottom {
            bottom: 0;
        }
        .left {
            left: 0;
        }
        .top {
            top: 0;
        }
    </style>
</head>
<body>

<main>
    <alert-component :typealert="bottom"></alert-component>
</main>
<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

<script>
    Vue.component('alert-component', {
        props: ['typealert', 'position'],
        template: `
            <section class="alert" :class="[typealert, position]">
                <header><h3>Lorem ipsum dolor.</h3></header>
                <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus accusantium aliquid commodi
                cupiditate dolor esse illum laudantium placeat quasi, rerum.</div>
                <footer>
                    Lorem ipsum dolor sit amet.
                </footer>
            </section>
        `
    });

    new Vue({
        el: 'main',

    })
</script>
</body>
</html>